Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.messagebox.parser
Class MessageDOMParser

    java.lang.Object
      org.seamless.xml.DOMParser<MessageDOM>
          org.fourthline.cling.support.messagebox.parser.MessageDOMParser

All Implemented Interfaces:
  EntityResolver, ErrorHandler

    public class MessageDOMParser

extends org.seamless.xml.DOMParser<MessageDOM>

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.seamless.xml.DOMParser
`org.seamless.xml.DOMParser.NodeVisitor`

Field Summary

Fields inherited from class org.seamless.xml.DOMParser
`schema, schemaSources, XML_SCHEMA_RESOURCE`

Constructor Summary
`MessageDOMParser()`

Method Summary
`org.seamless.xml.NamespaceContextMap` | `createDefaultNamespaceContext(String... optionalPrefixes)`
`protected MessageDOM` | `createDOM(Document document)`
`XPath` | `createXPath()`

Methods inherited from class org.seamless.xml.DOMParser
`accept, createDocument, createFactory, createTransformer, createXPath, createXPath, createXPathFactory, error, escape, escape, fatalError, getSchema, getXPathResult, getXPathResult, getXPathResult, isIgnorableWSNode, parse, parse, parse, parse, parse, parse, parse, parse, parse, print, print, print, print, print, print, print, printHTML, printHTML, removeIgnorableWSNodes, resolveEntity, stripElements, unwrapException, validate, validate, validate, validate, validate, warning, wrap, wrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageDOMParser

    public MessageDOMParser()

Method Detail

### createDOM

    protected MessageDOM createDOM(Document document)

  Specified by:
    `createDOM` in class `org.seamless.xml.DOMParser<MessageDOM>`

### createDefaultNamespaceContext

    public org.seamless.xml.NamespaceContextMap createDefaultNamespaceContext(String... optionalPrefixes)

### createXPath

    public XPath createXPath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.